compact1, compact2, compact3
javax.security.auth.login

## Class CredentialNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.security.GeneralSecurityException
      - - javax.security.auth.login.LoginException
        - - javax.security.auth.login.CredentialException
          - - javax.security.auth.login.CredentialNotFoundException

- All Implemented Interfaces:
    Serializable

      public class CredentialNotFoundException
      extends CredentialException

  Signals that a credential was not found.

  This exception may be thrown by a LoginModule if it is unable to locate a credential necessary to perform authentication.

  Since:
    1.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CredentialNotFoundException()` Constructs a CredentialNotFoundException with no detail message.
    `CredentialNotFoundException(String msg)` Constructs a CredentialNotFoundException with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CredentialNotFoundException

          public CredentialNotFoundException()

      Constructs a CredentialNotFoundException with no detail message. A detail message is a String that describes this particular exception.

    - #### CredentialNotFoundException

          public CredentialNotFoundException(String msg)

      Constructs a CredentialNotFoundException with the specified detail message. A detail message is a String that describes this particular exception.

      Parameters:
        `msg` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.